Issue1044

classification
Title: Patch to support for BigIntegers and PyLong on the PostgresqlDataHandler
Type: behaviour Severity: normal
Components: zxjdbc Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: leosoto
Priority: Keywords:

Created on 2008-06-03.18:54:29 by leosoto, last changed 2012-06-10.11:22:42 by fyrn76ji.

Files
File name Uploaded Description Edit Remove
postgresql-datahandler-support-for-bigint-and-pylong.patch leosoto, 2008-06-03.18:54:29
her1.html fyrn76ji, 2012-06-10.11:14:33
her2.html fyrn76ji, 2012-06-10.11:15:22
her3.html fyrn76ji, 2012-06-10.11:15:27
her4.html fyrn76ji, 2012-06-10.11:15:32
her5.html fyrn76ji, 2012-06-10.11:15:39
her6.html fyrn76ji, 2012-06-10.11:15:45
her7.html fyrn76ji, 2012-06-10.11:15:50
her8.html fyrn76ji, 2012-06-10.11:15:55
her9.html fyrn76ji, 2012-06-10.11:16:00
her10.html fyrn76ji, 2012-06-10.11:16:05
her11.html fyrn76ji, 2012-06-10.11:16:10
her12.html fyrn76ji, 2012-06-10.11:16:16
her13.html fyrn76ji, 2012-06-10.11:16:22
her14.html fyrn76ji, 2012-06-10.11:16:26
her15.html fyrn76ji, 2012-06-10.11:16:33
her16.html fyrn76ji, 2012-06-10.11:16:41
her17.html fyrn76ji, 2012-06-10.11:16:47
her18.html fyrn76ji, 2012-06-10.11:16:55
her19.html fyrn76ji, 2012-06-10.11:17:00
her20.html fyrn76ji, 2012-06-10.11:17:06
her21.html fyrn76ji, 2012-06-10.11:17:12
her22.html fyrn76ji, 2012-06-10.11:17:17
her23.html fyrn76ji, 2012-06-10.11:17:22
her24.html fyrn76ji, 2012-06-10.11:17:27
her25.html fyrn76ji, 2012-06-10.11:17:37
her26.html fyrn76ji, 2012-06-10.11:17:43
her27.html fyrn76ji, 2012-06-10.11:17:49
her28.html fyrn76ji, 2012-06-10.11:17:54
her29.html fyrn76ji, 2012-06-10.11:18:00
her30.html fyrn76ji, 2012-06-10.11:18:14
her31.html fyrn76ji, 2012-06-10.11:18:23
her32.html fyrn76ji, 2012-06-10.11:18:29
her33.html fyrn76ji, 2012-06-10.11:18:34
her34.html fyrn76ji, 2012-06-10.11:18:39
her35.html fyrn76ji, 2012-06-10.11:18:45
her36.html fyrn76ji, 2012-06-10.11:18:50
her37.html fyrn76ji, 2012-06-10.11:18:56
her38.html fyrn76ji, 2012-06-10.11:19:01
her39.html fyrn76ji, 2012-06-10.11:19:07
her40.html fyrn76ji, 2012-06-10.11:19:12
her41.html fyrn76ji, 2012-06-10.11:19:21
her42.html fyrn76ji, 2012-06-10.11:19:29
her43.html fyrn76ji, 2012-06-10.11:19:38
her44.html fyrn76ji, 2012-06-10.11:19:47
her45.html fyrn76ji, 2012-06-10.11:19:53
her46.html fyrn76ji, 2012-06-10.11:19:58
her47.html fyrn76ji, 2012-06-10.11:20:03
her48.html fyrn76ji, 2012-06-10.11:20:08
her49.html fyrn76ji, 2012-06-10.11:20:13
her50.html fyrn76ji, 2012-06-10.11:20:18
her51.html fyrn76ji, 2012-06-10.11:20:23
her52.html fyrn76ji, 2012-06-10.11:20:29
her53.html fyrn76ji, 2012-06-10.11:20:34
her54.html fyrn76ji, 2012-06-10.11:20:41
her55.html fyrn76ji, 2012-06-10.11:20:46
her56.html fyrn76ji, 2012-06-10.11:20:51
her57.html fyrn76ji, 2012-06-10.11:20:57
her58.html fyrn76ji, 2012-06-10.11:21:02
her59.html fyrn76ji, 2012-06-10.11:21:07
her60.html fyrn76ji, 2012-06-10.11:21:21
her61.html fyrn76ji, 2012-06-10.11:21:26
her62.html fyrn76ji, 2012-06-10.11:21:31
her63.html fyrn76ji, 2012-06-10.11:21:36
her64.html fyrn76ji, 2012-06-10.11:21:41
her65.html fyrn76ji, 2012-06-10.11:21:47
her66.html fyrn76ji, 2012-06-10.11:21:52
her67.html fyrn76ji, 2012-06-10.11:21:57
her68.html fyrn76ji, 2012-06-10.11:22:03
her69.html fyrn76ji, 2012-06-10.11:22:07
her70.html fyrn76ji, 2012-06-10.11:22:12
her71.html fyrn76ji, 2012-06-10.11:22:19
her72.html fyrn76ji, 2012-06-10.11:22:24
her73.html fyrn76ji, 2012-06-10.11:22:29
her74.html fyrn76ji, 2012-06-10.11:22:34
her75.html fyrn76ji, 2012-06-10.11:22:41
Messages
msg3219 (view) Author: Leonardo Soto (leosoto) Date: 2008-06-03.18:54:29
Without this, queries like cursor.execute('select ?', [1L]) fails on
postgresql, because the JDBC driver doesn't automatically map
BigIntegers to Type.BIGINT.
msg3314 (view) Author: Leonardo Soto (leosoto) Date: 2008-07-01.23:51:26
Applied  on r4834 (asm branch)
History
Date User Action Args
2012-06-10 11:22:42fyrn76jisetfiles: + her75.html
2012-06-10 11:22:34fyrn76jisetfiles: + her74.html
2012-06-10 11:22:29fyrn76jisetfiles: + her73.html
2012-06-10 11:22:24fyrn76jisetfiles: + her72.html
2012-06-10 11:22:19fyrn76jisetfiles: + her71.html
2012-06-10 11:22:13fyrn76jisetfiles: + her70.html
2012-06-10 11:22:08fyrn76jisetfiles: + her69.html
2012-06-10 11:22:03fyrn76jisetfiles: + her68.html
2012-06-10 11:21:58fyrn76jisetfiles: + her67.html
2012-06-10 11:21:52fyrn76jisetfiles: + her66.html
2012-06-10 11:21:47fyrn76jisetfiles: + her65.html
2012-06-10 11:21:41fyrn76jisetfiles: + her64.html
2012-06-10 11:21:36fyrn76jisetfiles: + her63.html
2012-06-10 11:21:31fyrn76jisetfiles: + her62.html
2012-06-10 11:21:27fyrn76jisetfiles: + her61.html
2012-06-10 11:21:21fyrn76jisetfiles: + her60.html
2012-06-10 11:21:08fyrn76jisetfiles: + her59.html
2012-06-10 11:21:02fyrn76jisetfiles: + her58.html
2012-06-10 11:20:58fyrn76jisetfiles: + her57.html
2012-06-10 11:20:52fyrn76jisetfiles: + her56.html
2012-06-10 11:20:47fyrn76jisetfiles: + her55.html
2012-06-10 11:20:41fyrn76jisetfiles: + her54.html
2012-06-10 11:20:35fyrn76jisetfiles: + her53.html
2012-06-10 11:20:30fyrn76jisetfiles: + her52.html
2012-06-10 11:20:24fyrn76jisetfiles: + her51.html
2012-06-10 11:20:18fyrn76jisetfiles: + her50.html
2012-06-10 11:20:13fyrn76jisetfiles: + her49.html
2012-06-10 11:20:08fyrn76jisetfiles: + her48.html
2012-06-10 11:20:03fyrn76jisetfiles: + her47.html
2012-06-10 11:19:58fyrn76jisetfiles: + her46.html
2012-06-10 11:19:54fyrn76jisetfiles: + her45.html
2012-06-10 11:19:48fyrn76jisetfiles: + her44.html
2012-06-10 11:19:39fyrn76jisetfiles: + her43.html
2012-06-10 11:19:29fyrn76jisetfiles: + her42.html
2012-06-10 11:19:21fyrn76jisetfiles: + her41.html
2012-06-10 11:19:12fyrn76jisetfiles: + her40.html
2012-06-10 11:19:07fyrn76jisetfiles: + her39.html
2012-06-10 11:19:02fyrn76jisetfiles: + her38.html
2012-06-10 11:18:57fyrn76jisetfiles: + her37.html
2012-06-10 11:18:50fyrn76jisetfiles: + her36.html
2012-06-10 11:18:45fyrn76jisetfiles: + her35.html
2012-06-10 11:18:40fyrn76jisetfiles: + her34.html
2012-06-10 11:18:34fyrn76jisetfiles: + her33.html
2012-06-10 11:18:29fyrn76jisetfiles: + her32.html
2012-06-10 11:18:24fyrn76jisetfiles: + her31.html
2012-06-10 11:18:15fyrn76jisetfiles: + her30.html
2012-06-10 11:18:01fyrn76jisetfiles: + her29.html
2012-06-10 11:17:54fyrn76jisetfiles: + her28.html
2012-06-10 11:17:49fyrn76jisetfiles: + her27.html
2012-06-10 11:17:43fyrn76jisetfiles: + her26.html
2012-06-10 11:17:38fyrn76jisetfiles: + her25.html
2012-06-10 11:17:27fyrn76jisetfiles: + her24.html
2012-06-10 11:17:23fyrn76jisetfiles: + her23.html
2012-06-10 11:17:17fyrn76jisetfiles: + her22.html
2012-06-10 11:17:12fyrn76jisetfiles: + her21.html
2012-06-10 11:17:07fyrn76jisetfiles: + her20.html
2012-06-10 11:17:00fyrn76jisetfiles: + her19.html
2012-06-10 11:16:56fyrn76jisetfiles: + her18.html
2012-06-10 11:16:48fyrn76jisetfiles: + her17.html
2012-06-10 11:16:41fyrn76jisetfiles: + her16.html
2012-06-10 11:16:34fyrn76jisetfiles: + her15.html
2012-06-10 11:16:27fyrn76jisetfiles: + her14.html
2012-06-10 11:16:22fyrn76jisetfiles: + her13.html
2012-06-10 11:16:17fyrn76jisetfiles: + her12.html
2012-06-10 11:16:11fyrn76jisetfiles: + her11.html
2012-06-10 11:16:06fyrn76jisetfiles: + her10.html
2012-06-10 11:16:00fyrn76jisetfiles: + her9.html
2012-06-10 11:15:55fyrn76jisetfiles: + her8.html
2012-06-10 11:15:50fyrn76jisetfiles: + her7.html
2012-06-10 11:15:45fyrn76jisetfiles: + her6.html
2012-06-10 11:15:39fyrn76jisetfiles: + her5.html
2012-06-10 11:15:32fyrn76jisetfiles: + her4.html
2012-06-10 11:15:28fyrn76jisetfiles: + her3.html
2012-06-10 11:15:22fyrn76jisetfiles: + her2.html
2012-06-10 11:14:36fyrn76jisetfiles: + her1.html
2008-08-10 21:21:45leosotosetstatus: open -> closed
resolution: fixed
2008-07-01 23:51:30leosotosetmessages: + msg3314
2008-06-03 18:54:29leosotocreate